%define name util-linux-ng
%define version 2.17.1
%define mainver 2.17
%define rc_ver 0
%define rel 5
%define subrel 2
%if %{rc_ver}
%define release %mkrel 0.rc%{rc_ver}.%{rel}
%define tarname %{name}-%{version}-rc%{rc_ver}
%define distname %{tarname}
%else
%define release %mkrel %{rel}
%define tarname %{name}-%{version}
%define distname %{tarname}
%endif

%define lib_blkid_major 1
%define lib_blkid %mklibname blkid %{lib_blkid_major}
%define lib_blkid_devel %mklibname blkid -d

%define lib_uuid_major 1
%define lib_uuid %mklibname uuid %{lib_uuid_major}
%define lib_uuid_devel %mklibname uuid -d

%define lib_ext2fs %mklibname ext2fs 2
%define lib_ext2fs_devel %mklibname ext2fs -d

%define git_url git://git.kernel.org/pub/scm/utils/util-linux-ng/util-linux-ng.git

%define build_bootstrap 1

%if !%{build_bootstrap}
%bcond_without	uclibc
%endif

### Header
Summary:	A collection of basic system utilities
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2 and GPLv2+ and BSD with advertising and Public Domain
Group:		System/Base
URL:		ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng

### Features
%define include_raw 1

### Macros
%define no_hwclock_archs s390 s390x

### Paths
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

### Dependences
BuildRequires:	gcc
BuildRequires:	sed
%if !%{build_bootstrap}
BuildRequires: e2fsprogs-devel >= 1.41.6-2mnb2
%endif
BuildRequires:	gettext-devel
BuildRequires:	pam-devel
BuildRequires:	ncurses-devel
BuildRequires:	ncursesw-devel
BuildRequires:	termcap-devel
BuildRequires:	texinfo
BuildRequires:	slang-devel
BuildRequires:	zlib-devel
BuildRequires:	libaudit-devel
%if %{with uclibc}
BuildRequires:	uClibc-devel
%endif

### Sources
Source0:	ftp://ftp.kernel.org/pub/linux/utils/%{name}/v%{mainver}/%{tarname}.tar.bz2
# based on Fedora pam files, with pam_selinux stripped out
Source1:	util-linux-ng-login.pamd
Source2:	util-linux-ng-remote.pamd
Source3:	util-linux-ng-chsh-chfn.pamd
Source4:	util-linux-ng-60-raw.rules
Source8:	nologin.c
Source9:	nologin.8
Source10:	uuidd.init

### Obsoletes & Conflicts & Provides
# old versions of util-linux have been splited to more sub-packages
Obsoletes: mount <= 2.13-0.pre7.6mdv2008.0, losetup <= 2.13-0.pre7.6mdv2008.0
Provides: mount = %{version}, losetup = %{version}
# fork and rename from util-linux to util-linux-ng
Obsoletes: util-linux <= 2.13-0.pre7.6mdv2008.0
Provides: util-linux = %{version}-%{release}
# old versions of e2fsprogs provides blkid / uuidd
Conflicts: e2fsprogs < 1.41.8-2mnb2

Obsoletes: fdisk tunelp schedutils
Provides: fdisk tunelp schedutils
%ifarch alpha %{sunsparc} ppc
Obsoletes: clock
%endif

# setarch merge in util-linux-ng-2.13
Obsoletes: sparc32 linux32
Provides: linux32 sparc32
Obsoletes: setarch <= 2.0
Provides: setarch = %{version}

Requires(preun): info-install
Requires(post): info-install
Requires(pre): mktemp 
# for /bin/awk
Requires(pre): gawk 
# for /usr/bin/cmp
Requires(pre): diffutils
Requires(pre): coreutils
Requires: pam >= 0.66-4, shadow-utils >= 4.0.3
Requires: %{lib_blkid} >= %{version}-%{release}
%if %{include_raw}
Requires: udev
%endif

# RHEL/Fedora specific mount options
Patch1: util-linux-ng-2.15-mount-managed.patch
# add note about ATAPI IDE floppy to fdformat.8
Patch3: util-linux-ng-2.13-fdformat-man-ide.patch
# 151635 - makeing /var/log/lastlog
Patch5: util-linux-ng-2.13-login-lastlog.patch
# 199745 - Non-existant simpleinit(8) mentioned in ctrlaltdel(8)
Patch6: util-linux-ng-2.13-ctrlaltdel-man.patch
# 231192 - ipcs is not printing correct values on pLinux
Patch8: util-linux-ng-2.15-ipcs-32bit.patch
# /etc/blkid.tab --> /etc/blkid/blkid.tab 
Patch11: util-linux-ng-2.16-blkid-cachefile.patch

### Upstream patches

# Fix nash freeze for some users, reported at MDV #58697
Patch15: util-linux-ng-2.17.1-libblkid-fix-loop-when-probe-chain-bails-out.patch

### Mandriva Specific patches

# sent upstream
Patch20: util-linux-ng-2.17.1-libblkid-reset-BLKID_TINY_DEV-flag.patch

# misc documentation fixes for man pages
Patch70:	util-linux-2.12q-miscfixes.patch
Patch111: util-linux-2.11t-mkfsman.patch
Patch114: util-linux-2.11t-dumboctal.patch
Patch115: util-linux-ng-2.15-fix-ioctl.patch
Patch116: util-linux-2.12q-autodav.patch

# crypto patches
# loop-AES patch
# reworked from http://loop-aes.sourceforge.net/updates/util-linux-ng-2.17-20100120.diff.bz2
Patch1100: util-linux-ng-2.17-loopAES.patch
Patch1101: util-linux-2.12q-swapon-skip-encrypted.patch
Patch1102: util-linux-2.12-lower-LOOP_PASSWORD_MIN_LENGTH-for-AES.patch
# load cryptoloop and cypher modules when use cryptoapi
Patch1103: util-linux-2.12a-cryptoapi-load-module.patch
Patch1104: util-linux-ng-2.14.1-set-as-encrypted.patch

# clock program for ppc
Patch1200:	util-linux-2.10r-clock-1.1-ppc.patch
# leng options for clock-ppc
Patch1201:	util-linux-2.10s-clock-syntax-ppc.patch
# Added r & w options to chfn (lsb mandate)
Patch1202:	util-linux-2.11o-chfn-lsb-usergroups.patch
# fix build on alpha with newer kernel-headers
Patch1203:	util-linux-2.11m-cmos-alpha.patch
# do not hide users option in mtab
Patch1207:	util-linux-ng-2.14.1-users.patch
# (peroyvind) fixes for sparc
Patch1212:	util-linux-2.12r-sparc.patch
# remove mode= from udf mounts (architecture done so that more may come)
Patch1218: util-linux-ng-2.13-mount-remove-silly-options-in-auto.patch
# (misc) enable option -x on fsck.cramfs , bug 48224
Patch1219:  util-linux-ng-enable_fsck_cramfs.diff
# (misc) fix crash when using fsck.cramfs
# taken from upstream git : a6f72ab47ed750148a2373a0ffed5c9ec77c1dd5 
Patch1220:  util-linux-ng-fix-crash-of-fcsk.cramfs.diff
Patch1221:	util-linux-ng-2.17.1-linux3.diff
# Mandrivamove patches
Patch1300:	util-linux-ng-2.14.1-losetup-try-LOOP_CHANGE_FD-when-loop-already-busy.patch

Patch1400:	util-linux-ng-2.17.1-CVE-2011-1675.diff
Patch1401:	util-linux-ng-2.17.1-CVE-2011-1677.diff

%description
The util-linux-ng package contains a large variety of low-level system
utilities that are necessary for a Linux system to function.  Among
others, Util-linux-ng contains the fdisk configuration tool and the login
program.

%package -n %{lib_blkid}
Summary: Block device ID library
Group: System/Libraries
License: LGPLv2+
Conflicts: %{lib_ext2fs} < 1.41.6-2mnb2

%description -n %{lib_blkid}
This is block device identification library, part of util-linux-ng.


%package -n %{lib_blkid_devel}
Summary: Block device ID library
Group: Development/C
License: LGPLv2+
Requires: %{lib_blkid} = %{version}
Conflicts: %{lib_ext2fs_devel} < 1.41.6-2mnb2
Provides: libblkid-devel = %{version}-%{release}

%description -n %{lib_blkid_devel}
This is the block device identification development library and headers,
part of util-linux-ng.

%package -n %{lib_uuid}
Summary: Universally unique ID library
Group: System/Libraries
License: BSD
Conflicts: %{lib_ext2fs} < 1.41.8-2mnb2

%description -n %{lib_uuid}
This is the universally unique ID library, part of e2fsprogs.

The libuuid library generates and parses 128-bit universally unique
id's (UUID's).  A UUID is an identifier that is unique across both
space and time, with respect to the space of all UUIDs.  A UUID can
be used for multiple purposes, from tagging objects with an extremely
short lifetime, to reliably identifying very persistent objects
across a network.

%package -n %{lib_uuid_devel}
Summary: Universally unique ID library
Group: Development/C
License: BSD
Conflicts: %{lib_ext2fs} < 1.41.8-2mnb2
Requires: %{lib_uuid} = %{version}
Provides: libuuid-devel = %{version}-%{release}

%description -n %{lib_uuid_devel}
This is the universally unique ID development library and headers,
part of e2fsprogs.

The libuuid library generates and parses 128-bit universally unique
id's (UUID's).  A UUID is an identifier that is unique across both
space and time, with respect to the space of all UUIDs.  A UUID can
be used for multiple purposes, from tagging objects with an extremely
short lifetime, to reliably identifying very persistent objects
across a network.

%package -n uuidd
Summary: Helper daemon to guarantee uniqueness of time-based UUIDs
Group: System/Servers
License: GPLv2
Requires(pre): shadow-utils

%description -n uuidd
The uuidd package contains a userspace daemon (uuidd) which guarantees
uniqueness of time-based UUID generation even at very high rates on
SMP systems.



%prep

%setup -q -n %{distname}
cp %{SOURCE8} %{SOURCE9} .

%patch1 -p1
%patch3 -p1
%patch5 -p1
%patch6 -p1
%patch8 -p1 -b .p8
%patch15 -p1 -b .libblkid-fix-loop-when-probe-chain-bails-out

# Mandriva 
%patch20 -p1 -b .libblkid-reset-BLKID_TINY_DEV-flag

%patch70 -p1 -b .miscfixes

%ifarch ppc
%patch1200 -p0
%patch1201 -p1
%endif

#LSB (sb)
%patch1202 -p1

#fix build on alpha with newer kernel-headers
%ifarch alpha
%patch1203 -p1
%endif

%patch111 -p1 -b .mkfsman
%patch114 -p0 -b .dumboctal
%patch115 -p1 -b .fix-ioctl
%patch116 -p0 -b .autodav

%patch1100 -p1 -b .loopAES
%patch1101 -p0 -b .swapon-encrypted
%patch1102 -p0 -b .loopAES-password
%patch1103 -p0 -b .load-module
%patch1104 -p1 -b .set-as-encrypted

%patch1300 -p1 -b .CHANGE-FD

%patch1207 -p1 -b .users
%patch1212 -p1 -b .sparc
%patch1218 -p1 -b .silly
%patch1219 -p0
#%patch1220 -p0
%patch1221 -p1

%patch1400 -p1 -b .CVE-2011-1675
%patch1401 -p0 -b .CVE-2011-1677

# rebuild build system for loop-AES patch
./autogen.sh

%build
%serverbuild
unset LINGUAS || :

# CFLAGS
%define make_cflags -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64

export CONFIGURE_TOP="`pwd`"

%if %{with uclibc}
mkdir -p uclibc
cd uclibc
%configure2_5x	CC="%{uclibc_cc}" \
		CFLAGS="%{uclibc_cflags} %{make_cflags}" \
		--enable-shared=no \
		--enable-static=yes \
		--without-ncurses
%make -C shlibs
cd ..
%endif

mkdir -p system
cd system
export CFLAGS="%{make_cflags} $RPM_OPT_FLAGS"
%configure2_5x \
	--bindir=/bin \
	--sbindir=/sbin \
	--libdir=/%{_lib} \
	--disable-wall \
	--enable-partx \
	--enable-login-utils \
	--enable-kill \
	--enable-write \
	--enable-arch \
%if %{include_raw}
	--enable-raw \
%endif
	--disable-makeinstall-chown

# build util-linux-ng
%make
cd ..

# build nologin
gcc $RPM_OPT_FLAGS -o nologin nologin.c

%ifarch ppc
gcc clock-ppc.c -o clock-ppc
%endif

# build docs
pushd sys-utils
    makeinfo --number-sections ipc.texi
popd

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/{bin,sbin}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_infodir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man{1,6,8,5}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/{pam.d,security/console.apps,blkid}

%if %{with uclibc}
for lib in `find uclibc/shlibs -name libblkid.a -o -name libuuid.a`; do
	install -m644 $lib -D %{buildroot}%{uclibc_root}%{_libdir}/$(basename $lib)
done
%endif

# install util-linux-ng
make -C system install DESTDIR=$RPM_BUILD_ROOT MANDIR=%buildroot/%{_mandir} INFODIR=%buildroot/%{_infodir}

# install nologin
install -m 755 nologin ${RPM_BUILD_ROOT}/sbin
install -m 644 nologin.8 ${RPM_BUILD_ROOT}%{_mandir}/man8

%if %{include_raw}
echo '.so man8/raw.8' > $RPM_BUILD_ROOT%{_mandir}/man8/rawdevices.8
{ 
  # see RH bugzilla #216664
  mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/udev/rules.d
  pushd ${RPM_BUILD_ROOT}%{_sysconfdir}/udev/rules.d
  install -m 644 %{SOURCE4} ./60-raw.rules
  popd
}
%endif

# Correct mail spool path.
perl -pi -e 's,/usr/spool/mail,/var/spool/mail,' ${RPM_BUILD_ROOT}%{_mandir}/man1/login.1

%ifarch %{sunsparc}
rm -rf ${RPM_BUILD_ROOT}%{_bindir}/sunhostid
cat << E-O-F > ${RPM_BUILD_ROOT}%{_bindir}/sunhostid
#!/bin/sh
# this should be %{_bindir}/sunhostid or somesuch.
# Copyright 1999 Peter Jones, <pjones@redhat.com> .  
# GPL and all that good stuff apply.
(
idprom=\`cat /proc/openprom/idprom\`
echo \$idprom|dd bs=1 skip=2 count=2
echo \$idprom|dd bs=1 skip=27 count=6
echo
) 2>/dev/null
E-O-F
chmod 755 ${RPM_BUILD_ROOT}%{_bindir}/sunhostid
%endif

#gzip -9nf ${RPM_BUILD_ROOT}%{_infodir}/ipc.info

# PAM settings
{ 
  pushd ${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d
  install -m 644 %{SOURCE1} ./login
  install -m 644 %{SOURCE2} ./remote
  install -m 644 %{SOURCE3} ./chsh
  install -m 644 %{SOURCE3} ./chfn
  popd
}

# This has dependencies on stuff in /usr
mv $RPM_BUILD_ROOT{/sbin/,/usr/sbin}/cfdisk

%ifarch ppc
cp -f ./clock-ppc $RPM_BUILD_ROOT/sbin/clock-ppc
mv $RPM_BUILD_ROOT/sbin/hwclock $RPM_BUILD_ROOT/sbin/clock-rs6k
ln -sf clock-rs6k $RPM_BUILD_ROOT/sbin/hwclock
%endif
ln -sf ../../sbin/hwclock $RPM_BUILD_ROOT/usr/sbin/hwclock
ln -sf ../../sbin/clock $RPM_BUILD_ROOT/usr/sbin/clock
ln -sf hwclock $RPM_BUILD_ROOT/sbin/clock

# Our own initscript for uuidd
install -D -m 755 %{SOURCE10} ${RPM_BUILD_ROOT}/etc/rc.d/init.d/uuidd
# And a dirs uuidd needs that the makefiles don't create
install -d ${RPM_BUILD_ROOT}/var/run/uuidd
install -d ${RPM_BUILD_ROOT}/var/lib/libuuid

# remove libtool junk  (TODO)
rm -f ${RPM_BUILD_ROOT}/%{_lib}/libblkid.la

# move flock in /bin, required for udev
# logger is useful in initscripts while /usr isn't mounted as well
# ionice needed for readahead_early
for p in flock logger ionice; do
	mv $RPM_BUILD_ROOT{%{_bindir},/bin}/$p
	ln -sf ../../bin/$p $RPM_BUILD_ROOT%{_bindir}/$p
done

# remove stuff we don't want
rm -f $RPM_BUILD_ROOT%_mandir/man1/{line,newgrp,pg}.1*
rm -f $RPM_BUILD_ROOT%_bindir/{line,newgrp,pg}

# Final cleanup
%ifarch %no_hwclock_archs
rm -f $RPM_BUILD_ROOT/sbin/{hwclock,clock} $RPM_BUILD_ROOT%{_mandir}/man8/hwclock.8* $RPM_BUILD_ROOT/usr/sbin/{hwclock,clock}
%endif
%ifarch s390 s390x
rm -f $RPM_BUILD_ROOT/usr/{bin,sbin}/{fdformat,tunelp,floppy} $RPM_BUILD_ROOT%{_mandir}/man8/{fdformat,tunelp,floppy}.8*
%endif

# deprecated commands
for I in /sbin/mkfs.bfs \
	/usr/bin/chkdupexe \
	%{_bindir}/scriptreplay
	do
	rm -f $RPM_BUILD_ROOT$I
done

# deprecated man pages
for I in man1/chkdupexe.1 \
	man8/mkfs.bfs.8 man1/scriptreplay.1; do
	rm -rf $RPM_BUILD_ROOT%{_mandir}/${I}*
done

# we install getopt/getopt-*.{bash,tcsh} as doc files
# note: versions <=2.12 use path "%{_datadir}/misc/getopt/*"
chmod 644 getopt/getopt-*.{bash,tcsh}
rm -f ${RPM_BUILD_ROOT}%{_datadir}/getopt/*
rmdir ${RPM_BUILD_ROOT}%{_datadir}/getopt

# /usr/sbin -> /sbin
for I in addpart delpart partx; do
	if [ -e $RPM_BUILD_ROOT/usr/sbin/$I ]; then
		mv $RPM_BUILD_ROOT/usr/sbin/$I $RPM_BUILD_ROOT/sbin/$I
	fi
done

# /usr/bin -> /bin
for I in taskset; do
	if [ -e $RPM_BUILD_ROOT/usr/bin/$I ]; then
		mv $RPM_BUILD_ROOT/usr/bin/$I $RPM_BUILD_ROOT/bin/$I
	fi
done

# /sbin -> /bin
for I in raw; do
	if [ -e $RPM_BUILD_ROOT/sbin/$I ]; then
		mv $RPM_BUILD_ROOT/sbin/$I $RPM_BUILD_ROOT/bin/$I
	fi
done

# remove vipw and vigr, they belong in shadow-utils
rm -f %{buildroot}%{_sbindir}/{vipw,vigr} %buildroot%_mandir/man8/{vigr,vipw}.*

%find_lang %name

# the files section supports only one -f option...
mv %{name}.lang %{name}.files

# create list of setarch(8) symlinks
find  $RPM_BUILD_ROOT%{_bindir}/ -regextype posix-egrep -type l \
	-regex ".*(linux32|linux64|s390|s390x|i386|ppc|ppc64|ppc32|sparc|sparc64|sparc32|sparc32bash|mips|mips64|mips32|ia64|x86_64)$" \
	-printf "%{_bindir}/%f\n" >> %{name}.files

find  $RPM_BUILD_ROOT%{_mandir}/man8 -regextype posix-egrep  \
	-regex ".*(linux32|linux64|s390|s390x|i386|ppc|ppc64|ppc32|sparc|sparc64|sparc32|sparc32bash|mips|mips64|mips32|ia64|x86_64)\.8.*" \
	-printf "%{_mandir}/man8/%f*\n" >> %{name}.files

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info ipc.info
%ifarch ppc
ISCHRP=`grep CHRP /proc/cpuinfo`
if [ -z "$ISCHRP" ]; then
  ln -sf /sbin/clock-ppc /sbin/hwclock
fi
%endif

%preun
%_remove_install_info ipc.info

%post -n %{lib_blkid}
[ -e /etc/blkid.tab ] && mv /etc/blkid.tab /etc/blkid/blkid.tab || :
[ -e /etc/blkid.tab.old ] && mv /etc/blkid.tab.old /etc/blkid/blkid.tab.old || :

%pre -n uuidd
%_pre_useradd uuidd /var/lib/libuuid /bin/false
%_pre_groupadd uuidd uuidd

%preun -n uuidd
%_preun_service uuidd


%files -f %{name}.files
%defattr(-,root,root)
%doc */README.* NEWS AUTHORS
%doc getopt/getopt-*.{bash,tcsh}
%doc docs/*-ReleaseNotes

/bin/arch
/bin/dmesg
%attr(755,root,root)	/bin/login
/bin/more
/bin/kill
/bin/taskset
/bin/ionice
%if %{include_raw}
/bin/raw
%config %{_sysconfdir}/udev/rules.d/60-raw.rules
%endif

%config(noreplace) %{_sysconfdir}/pam.d/chfn
%config(noreplace) %{_sysconfdir}/pam.d/chsh
%config(noreplace) %{_sysconfdir}/pam.d/login
%config(noreplace) %{_sysconfdir}/pam.d/remote

/sbin/agetty
%{_mandir}/man8/agetty.8*
/sbin/blkid
/sbin/blockdev
/sbin/pivot_root
/sbin/ctrlaltdel
/sbin/addpart
/sbin/delpart
/sbin/partx
%{_mandir}/man8/partx.8*
%{_mandir}/man8/addpart.8*
%{_mandir}/man8/delpart.8*

%ifarch %ix86 alpha ia64 x86_64 s390 s390x ppc ppc64 %{sunsparc} %mips %arm
/sbin/sfdisk
%{_mandir}/man8/sfdisk.8*
%doc fdisk/sfdisk.examples
%{_sbindir}/cfdisk
%{_mandir}/man8/cfdisk.8*
%endif
/sbin/fdisk
%{_mandir}/man8/fdisk.8*

%ifnarch %no_hwclock_archs
/sbin/clock
%{_sbindir}/clock
/sbin/hwclock
/usr/sbin/hwclock
%{_mandir}/man8/hwclock.8*
%endif
%ifarch ppc
/sbin/clock-ppc
/sbin/clock-rs6k
%endif
/sbin/findfs
/sbin/fsck
/sbin/mkfs
/sbin/mkswap
/sbin/nologin
%{_mandir}/man8/nologin.8*

%{_bindir}/chrt
%{_bindir}/ionice

%{_bindir}/cal
%attr(4711,root,root)	%{_bindir}/chfn
%attr(4711,root,root)	%{_bindir}/chsh
%{_bindir}/col
%{_bindir}/colcrt
%{_bindir}/colrm
%{_bindir}/column
%ifarch %ix86 alpha ppc ppc64 %{sunsparc} x86_64 %mips %arm
%{_bindir}/cytune
%{_mandir}/man8/cytune.8*
%endif
%{_bindir}/ddate
%ifnarch s390 s390x
%{_sbindir}/fdformat
%endif
/bin/flock
%{_bindir}/flock
%{_bindir}/fallocate
%{_bindir}/getopt
%{_bindir}/hexdump
%{_bindir}/ipcrm
%{_bindir}/ipcs
%{_bindir}/isosize
/bin/logger
%{_bindir}/logger
%{_bindir}/look
%{_bindir}/mcookie
%ifarch %ix86 alpha ia64 x86_64 s390 s390x ppc ppc64 %{sunsparc} %mips %arm
/sbin/fsck.cramfs
/sbin/mkfs.cramfs
%endif
/sbin/fsck.minix
/sbin/mkfs.minix
%{_bindir}/namei
%{_bindir}/rename
%{_bindir}/renice
%{_bindir}/rev
%{_bindir}/script
%{_bindir}/setarch
%{_bindir}/setsid
%{_bindir}/setterm
%ifarch %{sunsparc}
%{_bindir}/sunhostid
%endif
%{_bindir}/tailf
%{_bindir}/ul
%{_bindir}/unshare
%{_bindir}/uuidgen
%{_bindir}/whereis
%{_bindir}/ipcmk
%{_bindir}/lscpu
%attr(2755,root,tty)	%{_bindir}/write

%{_sbindir}/readprofile
%ifnarch s390 s390x
%{_sbindir}/tunelp
%endif
%{_sbindir}/rtcwake
%{_sbindir}/ldattach

%_infodir/ipc.info*

%{_mandir}/man1/arch.1*
%{_mandir}/man1/cal.1*
%{_mandir}/man1/chfn.1*
%{_mandir}/man1/chsh.1*
%{_mandir}/man1/col.1*
%{_mandir}/man1/colcrt.1*
%{_mandir}/man1/colrm.1*
%{_mandir}/man1/column.1*
%{_mandir}/man1/ddate.1*
%{_mandir}/man1/flock.1*
%{_mandir}/man1/fallocate.1*
%{_mandir}/man1/getopt.1*
%{_mandir}/man1/hexdump.1*
%{_mandir}/man1/kill.1*
%{_mandir}/man1/logger.1*
%{_mandir}/man1/login.1*
%{_mandir}/man1/look.1*
%{_mandir}/man1/mcookie.1*
%{_mandir}/man1/more.1*
%{_mandir}/man1/namei.1*
%{_mandir}/man1/readprofile.1*
%{_mandir}/man1/rename.1*
%{_mandir}/man1/rev.1*
%{_mandir}/man1/script.1*
%{_mandir}/man1/setterm.1*
%{_mandir}/man1/tailf.1*
%{_mandir}/man1/ul.1*
%{_mandir}/man1/uuidgen.1*
%{_mandir}/man1/unshare.1*
%{_mandir}/man1/whereis.1*
%{_mandir}/man1/write.1*

%{_mandir}/man1/chrt.1*
%{_mandir}/man1/ionice.1*
%{_mandir}/man1/taskset.1*
%{_mandir}/man1/renice.1*

%{_mandir}/man1/ipcrm.1*
%{_mandir}/man1/ipcs.1*
%{_mandir}/man1/setsid.1*
%{_mandir}/man1/dmesg.1*

%{_mandir}/man1/ipcmk.1*
%{_mandir}/man1/lscpu.1*

%{_mandir}/man8/blockdev.8*
%{_mandir}/man8/blkid.8*
%{_mandir}/man8/ctrlaltdel.8*
%ifnarch s390 s390x
%{_mandir}/man8/fdformat.8*
%endif
%{_mandir}/man8/findfs.8*
%{_mandir}/man8/fsck.8*
%{_mandir}/man8/isosize.8*
%{_mandir}/man8/mkfs.8*
%{_mandir}/man8/mkswap.8*
%{_mandir}/man8/pivot_root.8*
%if %{include_raw}
%{_mandir}/man8/raw.8*
%{_mandir}/man8/rawdevices.8*
%endif
%ifnarch s390 s390x
%{_mandir}/man8/tunelp.8*
%endif
%{_mandir}/man8/setarch.8*
%{_mandir}/man8/rtcwake.8*
%{_mandir}/man8/ldattach.8*
%{_mandir}/man8/wipefs.8*

%{_mandir}/man8/fsck.minix.8*
%{_mandir}/man8/mkfs.minix.8*

%attr(4755,root,root)	/bin/mount
%attr(4755,root,root)	/bin/umount
/sbin/swapon
/sbin/swapoff
/sbin/switch_root
%{_mandir}/man5/fstab.5*
%{_mandir}/man8/mount.8*
%{_mandir}/man8/swapoff.8*
%{_mandir}/man8/swapon.8*
%{_mandir}/man8/switch_root.8*
%{_mandir}/man8/umount.8*
%{_mandir}/man8/losetup.8*
/sbin/losetup
/sbin/wipefs

%files -n uuidd
%defattr(-,root,root)
%{_initrddir}/uuidd
%{_mandir}/man8/uuidd.8*
%attr(-, uuidd, uuidd) %{_sbindir}/uuidd
%dir %attr(2775, uuidd, uuidd) /var/lib/libuuid
%dir %attr(2775, uuidd, uuidd) /var/run/uuidd

%files -n %{lib_blkid}
%defattr(-,root,root)
%dir /etc/blkid
/%{_lib}/libblkid.so.%{lib_blkid_major}*


%files -n %{lib_blkid_devel}
%defattr(-,root,root)
%{_libdir}/libblkid.a
%if %{with uclibc}
%{uclibc_root}%{_libdir}/libblkid.a
%endif
%{_libdir}/libblkid.la
%{_libdir}/libblkid.so
%{_includedir}/blkid
%{_mandir}/man3/libblkid.3*
%{_libdir}/pkgconfig/blkid.pc

%files -n %{lib_uuid}
%defattr(-,root,root)
/%{_lib}/libuuid.so.*

%files -n %{lib_uuid_devel}
%defattr(-,root,root)
%{_libdir}/libuuid.a
%if %{with uclibc}
%{uclibc_root}%{_libdir}/libuuid.a
%endif
%{_libdir}/libuuid.la
%{_libdir}/libuuid.so
%{_includedir}/uuid
%{_mandir}/man3/uuid.3*
%{_mandir}/man3/uuid_clear.3*
%{_mandir}/man3/uuid_compare.3*
%{_mandir}/man3/uuid_copy.3*
%{_mandir}/man3/uuid_generate.3*
%{_mandir}/man3/uuid_generate_random.3*
%{_mandir}/man3/uuid_generate_time.3*
%{_mandir}/man3/uuid_is_null.3*
%{_mandir}/man3/uuid_parse.3*
%{_mandir}/man3/uuid_time.3*
%{_mandir}/man3/uuid_unparse.3*
%{_libdir}/pkgconfig/uuid.pc



%changelog
* Tue May 29 2012 Oden Eriksson <oeriksson@mandriva.com> 2.17.1-5.2mdv2010.2
- P1400: security fix for CVE-2011-1675 (rhel6)
- P1401: security fix for CVE-2011-1677 (rhel6)

* Wed Jan 11 2012 Oden Eriksson <oeriksson@mandriva.com> 2.17.1-5.1mdv2010.2
- P1221: backport --uname-2.6 support from 2.20

* Wed Jun 09 2010 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.17.1-5mdv2010.1
+ Revision: 547295
- Apply "libblkid: fix infinite loop when probe chain bails out early"
  from upstream git, fixes mkinitrd hangs in nash for some users
  (#58697).

* Wed Mar 31 2010 Frederic Crozat <fcrozat@mandriva.com> 2.17.1-4mdv2010.1
+ Revision: 530431
- Replace file-dependencies with package dependencies

* Mon Mar 22 2010 Eugeni Dodonov <eugeni@mandriva.com> 2.17.1-3mdv2010.1
+ Revision: 526669
- Requiring both ncurses-devel and ncursesw-devel.
- cfdisk requires libncursesw to work properly in utf-8 environments (#58277)

* Mon Mar 15 2010 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.17.1-2mdv2010.1
+ Revision: 519122
- libblkid: reset BLKID_TINY_DEV flag in blkid_probe_set_device
  (from Pascal Terjan). For example, fixes devices not detected
  anymore by nash-resolveDevice on some systems.

* Wed Feb 24 2010 Thomas Backlund <tmb@mandriva.org> 2.17.1-1mdv2010.1
+ Revision: 510759
- update to 2.17.1
- drop P12 (drbd crash fix, merged upstream)
- rediff P1100 (loop-AES support)

* Thu Feb 11 2010 Pascal Terjan <pterjan@mandriva.org> 2.17-2mdv2010.1
+ Revision: 504375
- Upstream patch fixing a crash in libblkid (#57325)

* Mon Jan 25 2010 Eugeni Dodonov <eugeni@mandriva.com> 2.17-1mdv2010.1
+ Revision: 496133
- Update to 2.17.
  Drop P10 (no longer used and dropped upstream).

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - add uclibc static library to %%files conditionally
    - build uclibc linked static libraries

* Tue Dec 01 2009 Eugeni Dodonov <eugeni@mandriva.com> 2.16.2-1mdv2010.1
+ Revision: 472224
- Updated to 2.16.2.
  Rediff loopAES patch.
  Drop P12,P13,P14,P15 (merged upstream).

* Wed Oct 14 2009 Frederic Crozat <fcrozat@mandriva.com> 2.16.1-3mdv2010.0
+ Revision: 457358
- Patch12 (GIT): RH bug 522718 - sfdisk -d /dev/xxx | sfdisk --force /dev/yyy fails when LANG is set
- Patch13 (GIT): Swsuspend does not work
- Patch14 (GIT): Do not search for hardware clock when using systz
- Patch15 (GIT): Set kernel timezone when using systz utc (for FAT timestamp)

* Mon Sep 28 2009 Olivier Blin <oblin@mandriva.com> 2.16.1-2mdv2010.0
+ Revision: 450402
- fix filelist for mips & arm (from Arnaud Patard)

* Fri Sep 11 2009 Frederic Crozat <fcrozat@mandriva.com> 2.16.1-1mdv2010.0
+ Revision: 438495
- Release 2.16.1
- Regenerate loopAES patch

* Tue Sep 08 2009 Frederic Crozat <fcrozat@mandriva.com> 2.16-5mdv2010.0
+ Revision: 433546
- Remove hard dependency on consolekit
- Hide pam_console errors on login

* Tue Aug 18 2009 Funda Wang <fwang@mandriva.org> 2.16-4mdv2010.0
+ Revision: 417587
- add requires on libuuid to devel package

* Tue Aug 04 2009 Frederic Crozat <fcrozat@mandriva.com> 2.16-3mdv2010.0
+ Revision: 408677
- Add missing Conflicts to ease upgrade

* Mon Aug 03 2009 Eugeni Dodonov <eugeni@mandriva.com> 2.16-1mdv2010.0
+ Revision: 408563
- Fixed group.
- Using right macros for libuuid.
- Updated to 2.16.
  Added support for libuuid.

* Wed Jun 17 2009 Frederic Crozat <fcrozat@mandriva.com> 2.15.1-1mdv2010.0
+ Revision: 386601
- Release 2.15.1 final
- Remove patch50, merged upstream
- Regenerate patch1100

* Thu Jun 11 2009 Frederic Crozat <fcrozat@mandriva.com> 2.15.1-0.rc1.3mdv2010.0
+ Revision: 385125
- Patch11 (Fedora): ensure blkid cache is in /etc/blkid/blkid.tab
- Enforce dependency from main package on lib package

* Tue Jun 09 2009 Frederic Crozat <fcrozat@mandriva.com> 2.15.1-0.rc1.2mdv2010.0
+ Revision: 384220
- Fix devel package name
- Non-bootstrap build, enable back uuid support (buildrequires e2fsprogs-devel)

* Mon Jun 08 2009 Frederic Crozat <fcrozat@mandriva.com> 2.15.1-0.rc1.1mdv2010.0
+ Revision: 384049
- Release 2.15.1-rc1
- Enable libblkid support (needed for latest HAL, udev..)
- add bootstrap support (circle build deps between util-linux-ng and e2fsprogs)

* Fri May 29 2009 Eugeni Dodonov <eugeni@mandriva.com> 2.15-1mdv2010.0
+ Revision: 381112
- Updated to 2.15.
  Updated to latest loop-aes patch.
  Rediffed patches.

* Tue Mar 17 2009 Michael Scherer <misc@mandriva.org> 2.14.1-7mdv2009.1
+ Revision: 356302
- fix crash reported by ofaurax , on the feature activated by last commit

* Mon Mar 16 2009 Michael Scherer <misc@mandriva.org> 2.14.1-6mdv2009.1
+ Revision: 355895
- fix #48224, by activating cramfs checking and extraction

* Tue Jan 13 2009 Oden Eriksson <oeriksson@mandriva.com> 2.14.1-5mdv2009.1
+ Revision: 329055
- rediffed patches

* Fri Oct 17 2008 Pascal Terjan <pterjan@mandriva.org> 2.14.1-4mdv2009.1
+ Revision: 294725
- Rediff Patch1300 better (#44530, #44112)
- Drop patch1215 applied upstream and applying at the wrong place (breaking fdisk on files)

* Tue Sep 30 2008 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-3mdv2009.0
+ Revision: 290068
- Move ionice to /bin (needed for readahead_early)

* Tue Sep 16 2008 Olivier Blin <oblin@mandriva.com> 2.14.1-2mdv2009.0
+ Revision: 285257
- fix typo in french translation (#42783)

* Tue Sep 16 2008 Olivier Blin <oblin@mandriva.com> 2.14.1-1mdv2009.0
+ Revision: 285227
- adapt to new fdformat path (now in /usr/sbin)
- package ldattach
- sync last patch from Fedora (mount in selinux context, mostly unused)
- rediff losetup change fd patch
- drop mkswap-uuid-option patch (merged upstream)
- rediff users (in mtab) patch (because of pamconsole drop)
- rediff set-as-encrypted patch (because of pamconsole drop)
- rediff loop-AES patch (painfully, based on loop-AES patch update for 2.14)
- remove mount-twiceloop and swapon-swsuspend patches (merged)
- revert umount-autoclear patch for easier rediff of loop-AES patch
- use updated blockdev-rmpart patch from Fedora
- drop deprecated mount-pamconsole patch
- use updated mount-managed patch from Fedora
- 2.14.1
- update url

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

* Tue Jun 03 2008 Funda Wang <fwang@mandriva.org> 2.13.1-7mdv2009.0
+ Revision: 214610
- fix conflicts with new shadow-utils

* Sun May 18 2008 Vincent Danen <vdanen@mandriva.com> 2.13.1-6mdv2009.0
+ Revision: 208801
- don't package vipw or vigr, they belong in shadow-utils now for tcb support

* Wed Mar 05 2008 Andreas Hasenack <andreas@mandriva.com> 2.13.1-5mdv2008.1
+ Revision: 180034
- move system-auth to the bottom of the session section
  in the pam config files, or else a "sufficient" module
  in the included file could prevent other modules *after*
  the include statement from being called (#37801)

* Thu Feb 21 2008 Olivier Blin <oblin@mandriva.com> 2.13.1-4mdv2008.1
+ Revision: 173573
- use upstream version of the -U <uuid> patch for mkswap
- add -U <uuid> option in mkswap

* Wed Jan 16 2008 Olivier Blin <oblin@mandriva.com> 2.13.1-3mdv2008.1
+ Revision: 153751
- include i386/linux32/linux64 man pages (from Fedora spec)
- rediff loop-AES patch
- remove patches applied upstream
- 2.13.1
- restore BuildRoot

* Thu Dec 27 2007 Pascal Terjan <pterjan@mandriva.org> 2.13.0.1-3mdv2008.1
+ Revision: 138377
- Add back minix utilities, they are useful

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix name in description

* Thu Nov 22 2007 Olivier Blin <oblin@mandriva.com> 2.13.0.1-2mdv2008.1
+ Revision: 111273
- fix smb mount if path exists locally (#35084, thanks to Pascal Terjan)

  + Funda Wang <fwang@mandriva.org>
    - correct URL

* Mon Oct 22 2007 Thierry Vignaud <tv@mandriva.org> 2.13.0.1-1mdv2008.1
+ Revision: 101288
- new security release
- s/Mandrake/Mandriva/

* Tue Sep 04 2007 Olivier Blin <oblin@mandriva.com> 2.13-3mdv2008.0
+ Revision: 79316
- fix removal of non handled mount options (#33081)

* Tue Sep 04 2007 Olivier Blin <oblin@mandriva.com> 2.13-2mdv2008.0
+ Revision: 79272
- build with -fno-ivopts to workaround a gcc optimization bug that breaks fs detection (#33047)
- fix build with -O0

* Tue Aug 28 2007 Olivier Blin <oblin@mandriva.com> 2.13-1mdv2008.0
+ Revision: 72604
- 2.13
- rediff loop-AES patch

* Sat Aug 25 2007 Olivier Blin <oblin@mandriva.com> 2.13-0.rc3.20070821git.2mdv2008.0
+ Revision: 71289
- fix obsoleted versions

* Sat Aug 25 2007 Olivier Blin <oblin@mandriva.com> 2.13-0.rc3.20070821git.1mdv2008.0
+ Revision: 71246
- drop obsolete rdev commands
- rediff losetup change-fd patch
- rediff set-as-encrypted patch
- rediff loop-AES patch from Debian port to util-linux-ng
- merge mount/losetup/util-linux into util-linux-ng
- remove deprecated commands and man pages (fsck.minix, mkfs.minix, mkfs.bfs, scriptreplay)
- add rtcwake files
- package setarch files and provides/obsoletes setarch/linux32/sparc32
- sync man page sections
- move raw back in /bin (and not in / like Fedora :-p)
- explicitely enable arch build
- remove cd-extra detection patch, this has to be in blkid or vol_id
- remove nfs(5) nolock patch, man page is now in nfs-utils-clients and contains nolock doc
- util-linux-ng-2.13-rc3 (git 20070821 snapshot)
- sync Fedora patches
- drop patches merged upstream
- moving util-linux as util-linux-ng

* Sat Aug 11 2007 Olivier Blin <oblin@mandriva.com> 2.13-0.pre7.6mdv2008.0
+ Revision: 61964
- fix uuid support in mkswap (upstream patch from util-linux-ng)

* Fri Aug 10 2007 Olivier Blin <oblin@mandriva.com> 2.13-0.pre7.5mdv2008.0
+ Revision: 61562
- rediff loop-AES related patches (#32263)
- disable losetup -a and -r patches (already in loop-AES patch)
- drop gzloop patch (we don't have kernel support anymore)
- restore dropped crypto patches
- add support of relatime option in mount

  + Thierry Vignaud <tv@mandriva.org>
    - enable audit support

  + Christiaan Welvaart <spturtle@mandriva.org>
    - fix install of clock-ppc, shouldn't depend on build dir name

* Thu Aug 02 2007 Olivier Blin <oblin@mandriva.com> 2.13-0.pre7.3mdv2008.0
+ Revision: 58161
- obsolete and provide schedutils (merged in 2.13-pre1)

* Thu Aug 02 2007 Olivier Blin <oblin@mandriva.com> 2.13-0.pre7.2mdv2008.0
+ Revision: 57981
- buildrequires e2fsprogs-devel
- buildrequire gettext-devel
- pray and upload (Titi approved)
- add pam config file for remote login
- remove manual pivot_root installation, it's handled by autotools
- use a configure option to disable wall
- add some (59!) patches from Fedora (quickly reviewed, but if it's good for them, it's good for us)
- remove loop-AES, gzloop and most other crypto patches (not really working/used according to Pixel)
- replace CVE-2007-0822 with Fedora's version
- replace our cal width patch with Fedora's version
- add partx/addpart/delpart doc (from Fedora)
- replace our execl patch with Fedora's version
- replace our utmp fixes with Fedora's timeval patch
- sync pam files with Fedora
- remove large file patch, useless since we now build with _FILE_OFFSET_BITS=64
- remove custom mkcramfs build and drop mkcramfs binary (use mkfs.cramfs instead)
- use procpartitions patch from Fedora
- remove s390 patches
- merge kudzu and managed patch (like Fedora)
- remove separated cramfs1.1 (already in upstream package)
- add cramfs fixes from Fedora package
- remove gecossize patch (RH dropped it 3 years ago)
- remove unapplied patches from spec
- remove build fixes patch, O_LARGEFILE is defined in bits/fcntl.h
- remove swapon/swapoff label patch (handled upstream as of 2.12n)
- use Fedora patch for swapon symlink check (which is correctly located in is_in_proc_swaps() function)
- remove patches checking /proc/swaps for swapon/swapoff, already implemented upstream as of 2.11s
- update loop-AES patch, rediff it, and renumber it
- add taskset, chrt and ionice
- move addpart/delpart/partx in /sbin (from Fedora)
- do not install wall and scriptreplay
- update doc files list
- merge raw stuff with Fedora
- remove nfs man pages
- elvtune has been removed upstream
- sln has been removed upstream
- setfdprm has been removed upstream
- add back arch command (from Fedora)
- rebuild autotools stuff and add patch to fix MKINSTALLDIRS (from Fedora)
- enable login-utils, kill, write, and rdev
- use prefix trick from Fedora to avoid installing in /usr/usr
- install getopt/getopt-*.{bash,tcsh} as doc files (like Fedora)
- remove kbdrate (to be moved in a new kbd package)
- rescuept has been removed (this will break diskdrake's "rescue partition table" feature)
- adapt partx build to autotools
- remove merged linux/compiler.h hacks
- rework cdextra patch to use autotools
- add ocfs2 patch (from Fedora)
- add mount sloppy patch for external mount.nfs(4) calls (from Fedora)
- use new uhelper patch from Fedora
- remove fortify fixes, since NFS code has been dropped
- sync NFS patches with Fedora to use nfs-utils commands in mount/unmount
- drop user label umount patch, implemented upstream
- drop mount 2gb patch, we now define _FILE_OFFSET_BITS=64 by default
- drop llseek syscall patch, plain lseek() is now used
- drop more termcap patch (use ncurses only, like Fedora)
- remove HAVE_PIVOT_ROOT define, this is done by configure
- move cflags in make_cflags macro (and define _FILE_OFFSET_BITS=64)
- replace nonroot patch with configure and preprocessor options (like Fedora)
- replace "no chkdupexe" patch by rm commands (like Fedora)
- remove mdk conf patch, util-linux now uses autotools
- 2.13-pre7
- make fdisk reread partition table on block devices only (from pterjan)

  + Frederic Crozat <fcrozat@mandriva.com>
    - Update source1 : call ConsoleKit pam module and add a dependency on it

* Wed Jun 27 2007 Andreas Hasenack <andreas@mandriva.com> 2.12r-15mdv2008.0
+ Revision: 45105
- using serverbuild macro (-fstack-protector-all)

* Tue Jun 19 2007 Olivier Blin <oblin@mandriva.com> 2.12r-14mdv2008.0
+ Revision: 41419
- rebuild for new slang

* Wed May 09 2007 Olivier Blin <oblin@mandriva.com> 2.12r-13mdv2008.0
+ Revision: 25684
- do not include asm/kbio.h (from Per Oyvind Karlsen, #30624)
- use bunzipped patches (fix wrong srpm2svn.sh import)
- include sfdisk and cfdisk on sparc too (from Per Oyvind Karlsen, #30623)

